import { View, Text, Image } from 'react-native';
import React from 'react';
import { styles } from './styles';
import { moderateScale } from 'src/theme/Metrics';
const CenterContent = (props) => {
    const { title, subTitle, unit, titleStyle, subTitleStyle, valueStyle, unitStyle, isHideTitle, isHideSubtitle, isHideValue, value, centerContentStyle, unitValueContentStyle, } = props;
    return (React.createElement(View, { style: [styles.hideCenterContent, centerContentStyle] },
        !isHideTitle && (React.createElement(Text, { style: [styles.helperText, styles.subTitleWidth, titleStyle] }, title)),
        !isHideValue && (React.createElement(React.Fragment, null,
            React.createElement(View, { style: [styles.hideValue, unitValueContentStyle] },
                React.createElement(Text, { style: [styles.valueText, styles.large_header, valueStyle] }, value),
                React.createElement(Text, { style: [styles.valueUnit, styles.helperText, unitStyle] }, unit)),
            React.createElement(View, { style: { flexDirection: 'row', alignItems: 'center', marginTop: 10 } },
                React.createElement(Image, { source: require("assets/mode-cool-snow-icon.png"), style: { height: moderateScale(16), width: moderateScale(16), marginRight: moderateScale(10) } }),
                React.createElement(Image, { source: require("assets/mode-cool-snow-icon.png"), style: { height: moderateScale(16), width: moderateScale(16), marginRight: moderateScale(10) } }),
                React.createElement(Image, { source: require("assets/mode-cool-snow-icon.png"), style: { height: moderateScale(16), width: moderateScale(16) } })))),
        !isHideSubtitle && (React.createElement(Text, { style: [styles.helperText, styles.subTitleWidth, subTitleStyle] }, subTitle))));
};
export default CenterContent;
//# sourceMappingURL=CenterContent.js.map